|  | Home · All Classes · Modules

# QAbstractFileEngine.FileFlags Class Reference
[QtCore module]

### Methods

- __init__ (self, FileFlags)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- FileFlags __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, FileFlags f)
- FileFlags __iand__ (self, int mask)
- int __int__ (self)
- FileFlags __invert__ (self)
- FileFlags __ior__ (self, FileFlags f)
- FileFlags __ixor__ (self, FileFlags f)
- bool __ne__ (self, FileFlags f)
- FileFlags __or__ (self, FileFlags f)
- FileFlags __or__ (self, int f)
- FileFlags __xor__ (self, FileFlags f)
- FileFlags __xor__ (self, int f)

## Detailed Description

FileFlag may be used whenever FileFlags is expected.

## Method Documentation

### FileFlags.__init__ (self, FileFlags)

### FileFlags.__init__ (self, int)

### FileFlags.__init__ (self)

### FileFlags FileFlags.__and__ (self, int mask)

### int FileFlags.__bool__ (self)

### bool FileFlags.__eq__ (self, FileFlags f)

### FileFlags FileFlags.__iand__ (self, int mask)

### int FileFlags.__int__ (self)

### FileFlags FileFlags.__invert__ (self)

### FileFlags FileFlags.__ior__ (self, FileFlags f)

### FileFlags FileFlags.__ixor__ (self, FileFlags f)

### bool FileFlags.__ne__ (self, FileFlags f)

### FileFlags FileFlags.__or__ (self, FileFlags f)

### FileFlags FileFlags.__or__ (self, int f)

### FileFlags FileFlags.__xor__ (self, FileFlags f)

### FileFlags FileFlags.__xor__ (self, int f)